package com.gic.haoban.manage.service.entity.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * 活码(TabHaobanHmQrcode)实体类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public class TabHaobanHmQrcode implements Serializable {
    private static final long serialVersionUID = 887910678030827375L;
    
    private Long hmId;
    
    private String hmCode;
    /**
     * 1单人 2多人
     */
    private Integer hmType;
    
    private String wxEnterpriseId;
    
    private String enterpriseId;
    
    private String name;
    
    private String creatorId;
    
    private String creatorName;
    
    private String modifierId;
    
    private String modifierName;
    
    private Date createTime;
    
    private Date updateTime;
    /**
     * 会员活动标签
     */
    private String memberLabelId;
    /**
     * 1自动通过 0否
     */
    private Integer passFlag;
    
    private String welcomeId;
    /**
     * 0删除 1正常 2作废 3待生效
     */
    private Integer statusFlag;
    /**
     * 当日已加好友数
     */
    private Integer addNum;
    /**
     * 是否达上线 1是0否
     */
    private Integer overFlag;
    /**
     * 微信联系我id
     */
    private String wxConfigId;
    /**
     * 微信联系我二维码
     */
    private String wxQrcode;
    
    private String storeId;
    
    private String storeName;
    
    private String storeCode;
    
    private String clerkId;
    
    private String clerkName;
    
    private String clerkCode;
    /**
     * 多人活码人数
     */
    private Integer hmUserNum;
    /**
     * 活码分组
     */
    private Long hmGroupId;
    private String staffId;
    private String staffName;


    public Long getHmId() {
        return hmId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public String getHmCode() {
        return hmCode;
    }

    public void setHmCode(String hmCode) {
        this.hmCode = hmCode;
    }

    public Integer getHmType() {
        return hmType;
    }

    public void setHmType(Integer hmType) {
        this.hmType = hmType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemberLabelId() {
        return memberLabelId;
    }

    public void setMemberLabelId(String memberLabelId) {
        this.memberLabelId = memberLabelId;
    }

    public Integer getPassFlag() {
        return passFlag;
    }

    public void setPassFlag(Integer passFlag) {
        this.passFlag = passFlag;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getAddNum() {
        return addNum;
    }

    public void setAddNum(Integer addNum) {
        this.addNum = addNum;
    }

    public Integer getOverFlag() {
        return overFlag;
    }

    public void setOverFlag(Integer overFlag) {
        this.overFlag = overFlag;
    }

    public String getWxConfigId() {
        return wxConfigId;
    }

    public void setWxConfigId(String wxConfigId) {
        this.wxConfigId = wxConfigId;
    }

    public String getWxQrcode() {
        return wxQrcode;
    }

    public void setWxQrcode(String wxQrcode) {
        this.wxQrcode = wxQrcode;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getHmUserNum() {
        return hmUserNum;
    }

    public void setHmUserNum(Integer hmUserNum) {
        this.hmUserNum = hmUserNum;
    }

    public Long getHmGroupId() {
        return hmGroupId;
    }

    public void setHmGroupId(Long hmGroupId) {
        this.hmGroupId = hmGroupId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }
}

